aboutsummaryrefslogtreecommitdiffstats
path: root/gpp/general-preprocessor.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2017-02-13 08:51:32 +0100
committerMattias Andrée <maandree@kth.se>2017-02-13 08:51:32 +0100
commit8e75ffef56c581f90dc911ad166dfc5408776374 (patch)
tree05911719a111e6c797ffd51acb9f5a53509979b3 /gpp/general-preprocessor.install
parentAdd libkeccak (diff)
downloadaur-packages-8e75ffef56c581f90dc911ad166dfc5408776374.tar.gz
aur-packages-8e75ffef56c581f90dc911ad166dfc5408776374.tar.bz2
aur-packages-8e75ffef56c581f90dc911ad166dfc5408776374.tar.xz
Add and update general-preprocessor
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'gpp/general-preprocessor.install')
-rw-r--r--gpp/general-preprocessor.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/gpp/general-preprocessor.install b/gpp/general-preprocessor.install
new file mode 100644
index 0000000..3f68be9
--- /dev/null
+++ b/gpp/general-preprocessor.install
@@ -0,0 +1,20 @@
+_file="general-preprocessor"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+